Subject: bug#17970: log-edit creates unwanted ChangeLog buffers

From: Eli Zaretskii <[email-masked]>
Date: Wed, 09 Jul 2014 19:54:16 +0300

> From: Glenn Morris <[email-masked]>
> Cc: [email-masked]
> Date: Wed, 09 Jul 2014 12:39:28 -0400
> 
> The point of this stuff is to prepopulate the vc log buffer with the
> relevant ChangeLog entries. If the ChangeLog does not exist, then
> obviously it is not going to find any. It does not show you the
> ChangeLog buffer that it creates or in any way notify you, so I do not
> see how this would help you in the scenario that you meant to write a
> ChangeLog entry but forgot, which I presume is what you were referring
> to. Could you give an example?
> 
> >> (Then we need an ignore-file parser.)
> >
> > With one file name per line, I wouldn't call it a "parser", really.
> 
> They contain wildcards, ! and ** patterns, etc.
> 
> >> Why would you have an unversioned ChangeLog
> >
> > I didn't say I would.  What I meant was that if ChangeLog is in the
> > ignore file, that's a sign that a non-existent ChangeLog file should
> > not be visited, since this repository doesn't want such files.
> 
> Why would you ignore a file that it not expected to exist in your repo?

I don't really know what else to say.  I've written everything I could
about this, and it sounds pretty clear to me.  If none of that makes
sense, feel free to ignore.  I will know to keep my mouth shut next
time.